#include "colors.inc"
#include "mechparts.inc"

#declare Loc3 =
union {

// --------------------------- Right leg -----------------------
union {
union {
object { Boot
        rotate <30,0,0>
	translate <0,.5,0>
        translate <0, .5, -2.7>
	}

sphere
	{  <0, 1, -1> 0.7
	scale <1,1.3,1>
	translate <0,1.8,1.5>
}

sphere
	{ <0, 2, 0> 0.7
	scale <1,1.3,1>
	translate <0,1.5,1.5>
}


union {
object { Toe_Joint
	translate <0,-1,0>
}


object { Toe
	rotate -90*y
	translate <-.8,-1.2,-1.2>
}
object { Toe
	rotate -90*y
	translate <2.75,-1.2,-1.2>
}
translate <0, .5, -2.7>
}

union {
object { Toe
	rotate -90*y
	translate <-.8,-1.2,-1.2> }

object { Toe
	rotate -90*y
	translate <2.75,-1.2,-1.2>
}
rotate 180*y
translate <0,0,3>
translate <0, .5, -2.7>
}

cylinder
{ <0,4,1.5>, <0,15,10>, 0.6 }

sphere { <0,15,10> 5
scale <.3, 1, .3>
rotate 37.69*x
translate <0,7,0>
}

sphere { <0,19,11.5> 1 }

sphere { <0,20,5> 1}

cylinder { <0,19,11.5>, <0,20,5> .67 }

object {Leg_Strut
rotate <30,180, 0>
scale <1.5,1.5,1.8>
translate <-1,17,5>
  }

// rotate <-45,0,0>
translate <-2,0,4>
}

union {
cylinder
	{  <0,0,0>, <2,0,0>,  4 }

difference {
	sphere
		{  <0, 0, 0>  3.5
		scale <.5,1,1>
	}

	cylinder
		{  <0,0,0>, <-.3,0,0>,  4
	}
}
translate <-2.4,20,4>
}
rotate <-30,0,0>
translate <0,4,12>
}



// --------------------------- Left leg -----------------------
union {
union {

object { Boot
        rotate <30,0,0>
	translate <0,.5,0>
        translate <0, .5, -2.7>
}

sphere
	{ <0, 1, -1>  0.7
	scale <1,1.3,1>
	translate <0,1.8,1.5>
}

sphere
	{  <0, 2, 0> 0.7
	scale <1,1.3,1>
	translate <0,1.5,1.5>
}

union {

object { Toe_Joint
	translate <0,-1,0>
}

object { Toe
	rotate -90*y
	translate <-.8,-1.2,-1.2>
}

object { Toe
	rotate -90*y
	translate <2.75,-1.2,-1.2>
}
translate <0, .5, -2.7>
}

union {
object { Toe
	rotate -90*y
	translate <-.8,-1.2,-1.2>
}

object { Toe
	rotate -90*y
	translate <2.75,-1.2,-1.2>
}
rotate 180*y
translate <0,0,3>
translate <0, .5, -2.7>
}

cylinder
	{ <0,4,1.5>, <0,15,10>, 0.6 }

sphere { <0,15,10> 5
	scale <.3, 1, .3>
	rotate 37.69*x
	translate <0,7,0>
}

sphere
	{ <0,19,11.5> 1 }

sphere
	{ <0,20,5> 1 }

cylinder
	{ <0,19,11.5>, <0,20,5> .67 }


object { Leg_Strut
	rotate <30,180, 0>
	scale <1.5,1.5,1.8>
	translate <-1,17,5>
}

translate <9,0,4>
}

union {
cylinder
	{ <0,0,0>, <-2,0,0>,  4 }

difference {
	sphere
		{  <0, 0, 0> 3.5
		scale <.5,1,1>
	}
	cylinder
		{  <0,0,0>, <.3,0,0>,  4
	}
}
translate <9.4,20,4>
}
rotate <30,0,0>
translate <0,8,-8>
}

// -------------------- Torso ---------------------------------

union {

// --------------------cockpit ---------------------

union {
object {  Cockpit
	scale <.8,.5,.5>
	translate <3.6,15,2.4>
}

union {
 sphere  // canopy
	{<0, 0, 0>  1.5 pigment { color Green }
finish { ambient 0.2 specular 0.5 reflection 0.7 }
	scale <1,1,2>
	translate <3.5, 17, -1> }

 sphere // canopy
	{<0, 0, 0>  .75 pigment { color Green }
finish { ambient 0.2 specular 0.5 reflection 0.7 }
	scale <1,1,2>
	translate <3.5, 18, -1.5> }

}


union {  // gun turret

difference {
	sphere // gun turret
		{ <0, 0, 0> 2.5 }
	box
	{ <-1, -3, -2.5> <1, 1, 1> }

}  // end difference
difference {
union {
	cylinder  // gun barrel
		{ <0, 0, 0>, <0,0,-14> .4
		pigment{ color Gray05}
        }
	cone
		{ <0, 0, -9>, 0.39, <0,0,-12>, 0.5
		pigment { color Gray05}
        }
	cone
		{ <0, 0, -11.9>, 0.5, <0,0,-14>, 0.39
		pigment { color Gray05}
        }

}
cylinder  // gun barrel
	{ <0, 0, 0>, <0,0,-14.1> .3
	pigment{ color Gray05}
}

}

cylinder  { <0,0,-15>, <0,0,-30> .2
        no_shadow
        pigment { color Red }
        finish { ambient 1.0 }
}


rotate <0,45,0>
translate <3.5,12,5>
translate <0, -0.5, 0>
} // end union for gun turret

translate <0,5,0>
}

// -------------------- Right Gun and mounting---------------------

union {
object { Gun
texture { pigment { color Yellow} }
texture { pigment { image_map
{
  gif "3.gif" // the file to read (iff/gif/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  filter   215, 1.0 // Make color 0 50% filtered transparent
  once
} // image_map
rotate <0,90,0>
scale <.1,10,6>
translate <0,-5,4>
}
}

	translate <-4,4,0>
	scale <.8,.8,.8>
}

intersection {
	sphere {  <2, 0, -.3> 3.5 }
	plane { < -1, 0, 0 >,  0 }
	plane { < 0, -1, 0 >,  0 }
}

cylinder
        { <-2,3,0>, <4,-1, 0> .6
}

translate <-2.4,20,4>
}

// -------------------- Left Gun and mounting---------------------


union {
object { Gun

texture { pigment { color Yellow} }
texture { pigment { image_map
{
  gif "swrminsg.gif" // the file to read (iff/gif/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  filter   65, 1.0 // Make color 0 100% filtered transparent
  once
} // image_map
rotate <0,-90,0>
scale <.1,8,8>
translate <0,-4,-4.2>
}}
	translate <4,4,0>
	scale <.8,.8,.8>
	}

intersection {
	sphere {  <2, 0, -.3> 3.5 }
	plane { < -1, 0, 0 >,  0 }
	plane { < 0, -1, 0 >,  0 }
translate <-4, 0,0>
}

cylinder
        { <-3,-1,0>, <3,3, 0> .6
}

object { Antenna
rotate <-25, 0, 0>
translate <-5, 1, 3>}

          translate <9.4,20,4>
}


// ------------------------- torso end ---------------------------
translate <0,3,2>
}



// -----------------------------scene end ----------------------
translate <-0,0,-10>
rotate <0, -15, 0>
}

